package de.kawt;

// 2000-06-26 MK Fixed a repaint bug
// 2000-05-20 SH Package changed
// 2000-05-19 MK drawing improved
// 2000-05-18 SH initial version (copied from infolayer)

import java.awt.*;
import java.awt.event.*;


public class ProgressBar extends Canvas {
    int curr = 0;
    int max;

    public ProgressBar () {
	max = 100;
    }

    public ProgressBar (int _max) {
	max = _max;
    }
    

    public void setValue (int _curr) {
	curr = _curr;
	paint (getGraphics ());
    }  
    
    public void setMax (int _max) {
	max = _max;
    }
    
    public Dimension getPreferredSize () {
	return new Dimension (100, 20);
    }

    public Dimension getMinimumSize () {
	return new Dimension (10, 10);
    }
    
    
    
    public void paint (Graphics g) {
	
	Dimension d = getSize ();
	int xp = (d.width-4) * curr / max;
	
	g.setColor (Color.black);	
	g.drawRect (0, 0, d.width-1, d.height-1);
	
	g.setColor (Color.white);
	g.drawRect (1, 1, d.width-3, d.height-3);

	g.setColor (SystemColor.activeCaption);

	g.fillRect (2, 2, xp, d.height-4);
	g.setColor (Color.white);
	g.fillRect (xp+2, 2, d.width-xp-4, d.height-4);
    }
}




